<div class="row">
  <div class="col-lg-auto text-right">    
    <dx-button
        id="button"
        text="List View"
        (onClick)="listViewAction()">
      </dx-button>
  </div>
</div>

<p></p> 

<div class="dx-card content-block ">
   
  <dx-scheduler [dataSource]="appointmentsData"
                [views]='["day", "week", "workWeek", "month",{type: "timelineDay", name: "Timeline"}]'
                [currentDate]="currentDate"
                [startDayHour]="0"
                [(currentView)]="currentView"
                [customizeDateNavigatorText]="customizeDateNavigatorText"
                appointmentTemplate="appointmentTemplate"
                (onAppointmentFormOpening)="onAppointmentFormOpening($event)">
    <dxo-editing #editingOptions
                 [allowAdding]="false"
                 [allowUpdating]="false"
                 [allowDeleting]="false"
                 [allowResizing]="false"
                 [allowDragging]="false"></dxo-editing>
    <div *dxTemplate="let model of 'appointmentTemplate'" [ngClass]="model.appointmentData.softAssigned == 'True' ? 'soft-assigned' : ''">
      <div class="row">
        <div class="col px-3">{{model.appointmentData.text}}</div>
      </div>
      <div class="row">
        <div class="col px-3">{{ model.appointmentData.startDate | date: 'hh:mm a' }} - {{ model.appointmentData.endDate | date: 'hh:mm a' }} </div>
      </div>
      <div *ngIf="model.appointmentData.location" class="row">
        <div class="col px-3">{{model.appointmentData.location}}</div>
      </div>
      <div *ngIf="model.appointmentData.description" class="row">
        <div class="col px-3">{{model.appointmentData.description}}</div>
      </div>
    </div>

  </dx-scheduler>

</div>
